'use strict'
/**
 * 流程表
 */
module.exports = function (db, DataTypes) {
	return db.define('iinvoicesummaryinfo', {
		invoice_id : { type: DataTypes.STRING, allowNull: true, comment: '发票id'},
		invoice_type : { type: DataTypes.STRING,  allowNull: true, comment: '发票类型'},
		summary_content : { type: DataTypes.STRING, allowNull: true, comment:  '摘要内容'},
		specification : { type: DataTypes.STRING,  allowNull: true, comment: '规格型号'},
		unit : { type: DataTypes.STRING,  allowNull: true, comment: '单位'},
		number : { type: DataTypes.INTEGER, allowNull: true, comment: '数量'},
		unit_price : { type: DataTypes.INTEGER, allowNull: true, comment: '单价'},
		amount : { type: DataTypes.INTEGER, allowNull: true, comment: '金额'},
		tax_rate : { type: DataTypes.INTEGER, allowNull: true, comment: '税率'},
		tax_amount : { type: DataTypes.INTEGER, allowNull: true, comment: '税额'},
		created_at: { type: DataTypes.DATE, field: 'created_at', allowNull: false, defaultValue: DataTypes.NOW },
		updated_at: { type: DataTypes.DATE, field: 'updated_at', allowNull: false, defaultValue: DataTypes.NOW },
		deleted_at: { type: DataTypes.DATE, field: 'deleted_at', allowNull: true },
	},
	{
		timestamps: false,
		underscore: true,
		paranoid: true,
		version: true,
		tableName: 'i_invoice_summary_info',
		comment: '发票平台交付详情',
	});
}